Synthesize text to speech
Echo Engine - TTS
Synthesize text to speech
Convert text to speech audio. Returns WAV audio. Supports prosody planning and conversational mode for voice agents. Max text length: 5000 characters.
POST
Synthesize text to speech
Authorizations
Bearer token authentication. Supports two token types:
- JWT Access Token — obtained via
POST /v1/auth/login - Personal Access Token (PAT) — created via
POST /v1/api-tokens, format:cmnd_<tokenId>.<secret>
Body
application/json
Text to synthesize (max 5000 characters)
Maximum string length:
5000Voice ID from /v1/echo/tts/voices
Speech speed multiplier (0.5-2.0)
Language code (en, de, tr)
Enable prosody planning for natural pacing
Enable conversational mode with auto-detected presets
Speech pacing for conversational mode
Available options:
fast, normal, slow Response
Audio file (WAV)
The response is of type file.

